#
# spec file for package module-init-tools (Version 3.2.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db dietlibc dietzlib diffutils docbook-dsssl-stylesheets docbook-utils docbook_3 docbook_4 e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv iso_ent jadetex klogd latex-ucs less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libxml2 libzio m4 make man mktemp ncurses ncurses-devel net-tools netcfg openjade openldap2-client opensp openssl pam pam-modules patch perl perl-SGMLS permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed sgml-skel strace sysvinit tar tcpd te_latex tetex texinfo timezone unzip util-linux vim xmlcharent zlib zlib-devel

Name:           module-init-tools
BuildRequires:  dietlibc dietzlib docbook-utils xmlcharent
Version:        3.2.2
Release:        32.10
%define ver   3.2.2
License:        GPL
Group:          System/Kernel
Provides:       modules modutils
Obsoletes:      modules modutils
Autoreqprov:    on
Summary:        Utilities to Load Modules into the Kernel
URL:            http://www.kernel.org/pub/linux/utils/kernel/module-init-tools/
Source0:        ftp://ftp.kernel.org/pub/linux/kernel/people/rusty/modules/%{name}-%{ver}.tar.bz2
Source1:        ftp://ftp.kernel.org/pub/linux/kernel/people/rusty/modules/%{name}-%{ver}.tar.sign
Source2:        kernelversion
Source3:        README.SUSE
Source4:        weak-modules
Source10:       modprobe.conf.tar.gz
Patch0:         %{name}-%{ver}-prototypes.diff
Patch1:         %{name}-%{ver}-config_filter.diff
Patch2:         %{name}-%{ver}-alsa-fix.diff
Patch3:         %{name}-%{ver}-zlib.diff
Patch4:         %{name}-%{ver}-dump-modversions.diff
Patch5:         %{name}-%{ver}-modprobe-fastgetline.diff
Patch6:         %{name}-%{ver}-weak-updates.diff
Patch8:         %{name}-%{ver}-blacklist-warn.diff
Patch10:        %{name}-%{ver}-eintr.diff
Patch11:        %{name}-%{ver}-use_blacklist.diff
Patch12:        %{name}-%{ver}-skip-unsupported.diff
Patch13:        %{name}-%{ver}-fmt.diff
Patch14:        %{name}-%{ver}-regex.diff
Patch15:        %{name}-%{ver}-options-priority.diff
Exclusiveos:  Linux
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Utilities for loading kernel modules. Included are 'insmod', 'lsmod',
'rmmod', 'depmod', and 'modprobe'. The configuration file
/etc/modutils.conf can be used to pass parameters to the modules.
'depmod' should be used after compiling a new kernel to generate the
dependency information. 'insmod' does not use the dependency nor the
options file. Therefore, 'modprobe' is normally used to load a module.



Authors:
--------
    Bjorn Ekwall <bj0rn@blox.se>
    Jon Tombs <jon@gtex02.us.es>
    Bas Laarhoven <bas@vimec.nl>
    Keith Owens <kaos@ocs.com.au>

%debug_package
%prep
%setup -q -a10 -n %{name}-%{ver}
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
#%patch8
%patch10
%patch11
%patch12
%patch13
%patch8
%patch14
%patch15

%build
%{suse_update_config -f}
aclocal --force
autoconf --force
CFLAGS="$RPM_OPT_FLAGS -Wall" \
	./configure \
	--prefix=/ \
	--enable-zlib
make %{?jobs:-j%jobs}

%install
mkdir -p $RPM_BUILD_ROOT/{bin,/etc/modprobe.d,sbin,usr/share/man/man{1,2,5,8}}
make DESTDIR=$RPM_BUILD_ROOT install
install -m755 generate-modprobe.conf $RPM_BUILD_ROOT/sbin
install -m755 %SOURCE2 $RPM_BUILD_ROOT/sbin
install -m644 %SOURCE3 .
#
# build static insmod with a size optimized libc if available
#
make clean
rm -f config.cache
DL_FLAGS=`echo $RPM_OPT_FLAGS | sed -e "s/-D_FORTIFY_SOURCE=2//g"`
CC="diet -v gcc" \
	LD="diet -v gcc" \
	CFLAGS="$DL_FLAGS -Os -static -Wall" \
	LDLAGS="-static" \
	./configure \
        --prefix=/ \
	--enable-zlib \
	--with-zlib_name=diet_z
make %{?jobs:-j%jobs}
install -m755 insmod.static $RPM_BUILD_ROOT/sbin/insmod.static
install -m755 modprobe $RPM_BUILD_ROOT/sbin/modprobe.static
install -m755 rmmod $RPM_BUILD_ROOT/sbin/rmmod.static
install -m755 modinfo $RPM_BUILD_ROOT/sbin/modinfo.static
install -m755 lsmod $RPM_BUILD_ROOT/bin/lsmod.static
ln -sf /bin/lsmod $RPM_BUILD_ROOT/sbin/lsmod
ln -sf /bin/lsmod.static $RPM_BUILD_ROOT/sbin/lsmod.static
#
# now assemble the parts for modprobe.conf
#
cd modprobe.conf
cp modprobe.conf.common modprobe.conf
if [ -f modprobe.conf.$RPM_ARCH ] ; then
	cat modprobe.conf.$RPM_ARCH >> modprobe.conf
fi
cat modprobe.conf.last >> modprobe.conf
install -m644 modprobe.conf $RPM_BUILD_ROOT/etc/modprobe.conf
install -m644 modprobe.conf.local $RPM_BUILD_ROOT/etc/modprobe.conf.local
install -d -m 755 $RPM_BUILD_ROOT/usr/lib/%name
install -m 755 %_sourcedir/weak-modules $RPM_BUILD_ROOT/usr/lib/%name/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/modprobe.conf
%config(noreplace) /etc/modprobe.conf.local
%doc AUTHORS COPYING ChangeLog FAQ NEWS README TODO
%doc README.SUSE
%doc %{_mandir}/man?/*
/bin/*
/sbin/*
/usr/lib/%name
/etc/modprobe.d

%changelog -n module-init-tools
* Thu May 18 2006 - mjancar@suse.cz
- fix double free when module not live (#170381)
* Tue May 16 2006 - mjancar@suse.cz
- fix typo in last change (#162253)
* Mon May 15 2006 - mjancar@suse.cz
- fix priority of cmdline vs config options (#162253)
* Tue May 02 2006 - mjancar@suse.cz
- fix infinite loop when supported module requested by alias
  depends on unsupported module (#170675)
* Fri Apr 28 2006 - agruen@suse.de
- weak-modules: Fix pathname in --add-modules and --remove-modules
  (170568).
* Tue Apr 18 2006 - mjancar@suse.cz
- fix range pattern matching (#134559)
* Thu Mar 23 2006 - agruen@suse.de
- weak-modules: The module compatibility check did not handle the
  case where modules in a kernel's /lib/modules/.../updates
  directory havce interdependencies (159767).  Print a warning
  when a module is found that has no modversions, instead of
  silently skipping it when checking for reusable modules.
* Thu Mar 23 2006 - mjancar@suse.cz
- silence the ahci before ata_piix workaround (#158648)
* Thu Mar 16 2006 - agruen@suse.de
- weak-modules: Only change IFS locally (otherwise this beaks
  krel_of_module()).
* Sat Mar 11 2006 - agruen@suse.de
- weak-modules: Don't assume that modules without modversions are
  compatible with any kernel.
* Fri Mar 10 2006 - agruen@suse.de
- weak-modules: Print some more messages only in verbose mode.
* Wed Mar 08 2006 - mjancar@suse.cz
- add alias for rpc_pipefs (#156029)
* Fri Feb 17 2006 - mjancar@suse.cz
- replace --blacklist-unsupported by --skip-unsupported (#148091)
* Wed Feb 15 2006 - agruen@suse.de
- Fix modprobe's --dump-modversions on ppc64.
* Tue Feb 14 2006 - mjancar@suse.cz
- document --use-blacklist and --blacklist-unsupported (#148091)
* Fri Feb 10 2006 - agruen@suse.de
- weak-modules: Fix computing the kernel release strings of
  modules.
* Tue Feb 07 2006 - mjancar@suse.cz
- add unsupported modules blacklisting switch (#148091)
* Fri Feb 03 2006 - agruen@suse.de
- weak-modules: Also run depmod and mkinitrd when necessary.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 - mjancar@suse.cz
- add alias for nfs4 (#142486)
* Tue Jan 17 2006 - agruen@suse.de
- weak-modules: Fix some errors.
* Fri Jan 06 2006 - mjancar@suse.cz
- update to 3.2.2
- drop obsolete patches:
  * module-init-tools-3.2.2-lock.diff
  * module-init-tools-3.2.2-openfirmware.diff
* Sat Dec 17 2005 - agruen@suse.de
- Update the path to rpmsort.
* Wed Dec 14 2005 - agruen@suse.de
- Change modprobe --dump-modversions output to always show the
  symbol version hash as an 8-digit instead of a variable-width
  hex number.
* Thu Dec 08 2005 - agruen@suse.de
- Remove support for the updates2/ directory which was needed for
  the obsoleted -override- mechanism only, and add support for a
  weak-updates/ directory which will contain symlinks to reusable
  modules.
- Add /usr/lib/weak-modules script for use in kernel and kernel
  module package scripts.
* Wed Oct 12 2005 - mjancar@suse.cz
- update to 3.2-pre9
- remove lp loading workaround (#64412)
* Tue Sep 13 2005 - schwab@suse.de
- Fix last change.
* Thu Sep 08 2005 - mjancar@suse.cz
- handle EINTR from {init,delete}_module (#66533)
- lock the module file before checking its presence
  in kernel (#65469)
- add README.SUSE
* Mon Aug 29 2005 - zoz@suse.de
- added patch module-init-tools-3.2-pre8-blacklist-warn.diff
  prints a warning if module is blacklisted (bug 106260)
- added patch module-init-tools-3.2-pre8-modprobe.conf.5.diff
  fixes sgml source of modprobe.conf.5 (bug 106260)
* Fri Aug 12 2005 - schwab@suse.de
- Add jeffm's ofmap patch.
* Fri Aug 05 2005 - kkeil@suse.de
- add ISDN stuff to modprobe.conf.common
* Wed Aug 03 2005 - mjancar@suse.cz
- update to 3.2pre8
* Mon Jun 13 2005 - ro@suse.de
- build dietlibc variant without FORTIFY for now
* Wed Jun 08 2005 - agruen@suse.de
- updates2.diff: Add support for a /lib/modules/$KERNELRELEASE/
  updates2 directory.
* Mon May 23 2005 - mjancar@suse.cz
- update to 3.2pre6
- add ".-" and "~" to ignored suffixes  (#57283, #74003)
* Thu Mar 17 2005 - mjancar@suse.cz
- load lp after parport (#64412)
* Wed Mar 09 2005 - agruen@suse.de
- out-of-memory.diff: Don't segfault when running out of memory in
  depmod.
* Mon Mar 07 2005 - mjancar@suse.cz
- use autofs4 by default (#70881)
* Tue Mar 01 2005 - mjancar@suse.cz
- load ahci before ata_piix (#65218)
* Mon Feb 07 2005 - mjancar@suse.cz
- update to 3.2-pre1
* Thu Dec 16 2004 - agruen@suse.de
- parmtype.diff: Print the parm and parmtype modinfo tags more
  nicely (#48396).
* Sat Oct 02 2004 - aj@suse.de
- alias net-pf-31 must be bluetooth and not bluez [#46654].
* Fri Oct 01 2004 - mjancar@suse.cz
- move binfmt_mist loading from i386 part to generic (#44828)
- add aliases for Bluetooth modules (#46548)
* Fri Sep 17 2004 - mjancar@suse.cz
- add kernelversion script from modutils (#44858)
* Wed Sep 08 2004 - mjancar@suse.cz
- fix module renaming (#44659)
- revert the crypto modules loading fix (#44514)
* Wed Sep 01 2004 - mjancar@suse.cz
- update to 3.1-pre5
- remove 2.4 kernel modutils from the package
- fix crypto modules loading (#44514)
* Mon Jul 12 2004 - schwab@suse.de
- Fix support for include directories.
* Wed Jun 30 2004 - mjancar@suse.cz
- skip backup files in config directory (#42283)
- implement support for include directories
* Thu Jun 10 2004 - mjancar@suse.cz
- don't prevent OSS modules loading (41754)
* Mon May 17 2004 - agruen@suse.de
- modprobe --dump-modversions: Silently ignore ELF files without a
  __versions section.
* Tue May 11 2004 - agruen@suse.de
- Fix modprobe --dump-modversions for 32/64-bit compatibility.
* Thu May 06 2004 - mjancar@suse.cz
- update module-init-tools to 3.0
- update modutils to 2.4.27
- enable zlib support
* Fri Apr 23 2004 - mjancar@suse.cz
- rename irtty to irtty-sir (#38969)
* Fri Apr 23 2004 - mjancar@suse.cz
- accept dot as valid character in release number
* Wed Apr 14 2004 - schwab@suse.de
- Add alias for xp0 [#35867].
* Wed Mar 31 2004 - mjancar@suse.cz
- add alias for raw devices (#37607)
* Sun Mar 28 2004 - garloff@suse.de
- Install static (dietlibc) versions from module-init-tools
  of insmod, modprobe, rmmod, lsmod, modinfo. (#36960,#34216)
- Patch to speed up reading of text files by using getline(),
  resulting in a speedup of a factor of 3.5 for not found modules.
  (#36877, vgscan slow)
* Fri Mar 26 2004 - mjancar@suse.cz
- build static versions just of insmod and modprobe
- include ipv6 aliases
* Thu Mar 25 2004 - thomas@suse.de
-  added EAL3 man-page patch
* Tue Mar 23 2004 - mjancar@suse.cz
- fix removing of renamed modules (#36750)
* Fri Feb 27 2004 - mjancar@suse.cz
- include files in /etc/modprobe.d/ only once (#34838)
* Wed Feb 25 2004 - mjancar@suse.cz
- update to 3.0-pre10
- print configuration even when dependency file missing (#34482)
* Wed Feb 18 2004 - ro@suse.de
- moved modprobe.conf and modprobe.conf.local from aaa_base
  to this package
* Wed Feb 11 2004 - agruen@suse.de
- Add `--dump-modversions file' option: Creates a dump of the
  module symbol version table of a kernel module.
* Thu Feb 05 2004 - mjancar@suse.cz
- update to 3.0-pre9 (#34200)
* Tue Feb 03 2004 - tiwai@suse.de
- Modifed generate-modprobe.conf to handle the old-style ALSA
  modules (included in SuSE 2.4.x kernels).
* Thu Jan 29 2004 - okir@suse.de
- Avoid heap corruption if /etc/modprobe.d doesn't exist
* Sun Jan 25 2004 - agruen@suse.de
- Add /ec/modprobe.d to file list.
* Thu Jan 22 2004 - mjancar@suse.cz
- rename package to module-init-tools
- update module-init-tools to 3.0-pre7
- don't free directory list when scandir returns -1 (#34046)
* Fri Jan 16 2004 - mjancar@suse.cz
- update module-init-tools to 3.0-pre5
- update modutils to 2.4.26
- link ksyms and kallsyms to insmod.old (#33859)
- implement /etc/modprobe.d/ support (#33974)
* Thu Nov 20 2003 - ro@suse.de
- fix typo in modprobe.conf manpage
* Wed Nov 19 2003 - mjancar@suse.cz
- fix a typo introduced in previous change
* Thu Oct 23 2003 - mjancar@suse.cz
- dont warn when override directory missing (#32562)
* Tue Oct 07 2003 - mjancar@suse.cz
- update module-init-tools to 0.9.15pre2
- remove dietlibc patches
* Mon Sep 22 2003 - mjancar@suse.cz
- add lsmod symlinks to /sbin
* Tue Sep 09 2003 - mjancar@suse.cz
- fix division by zero on modules with no symbols (#30197)
- replace the release number by "-override" instead of striping it
* Mon Sep 01 2003 - mjancar@suse.cz
- update module-init-tools to 0.9.14-pre2
  * add missing zlibsupport.h (#29710)
* Thu Aug 28 2003 - mjancar@suse.cz
- strip the release number in a more robust way (#29377)
* Mon Aug 25 2003 - mjancar@suse.cz
- support path with striped release number also in
  module-init-tools (#29328)
* Mon Aug 25 2003 - mjancar@suse.cz
- don't include nonexistent zlibsupport.h
* Mon Aug 25 2003 - mjancar@suse.cz
- update module-init-tools to 0.9.14pre1
  * zlib support
  * handle - vs _ when searching for module
- kill obsolete patches
* Wed Jul 30 2003 - mjancar@suse.cz
- use /lib/modules/'uname -r' with striped release number
  as first path[toplevel] (bug #28215)
- provide function prototypes that are missing in dietlibc
* Thu Jul 24 2003 - mjancar@suse.cz
- package files that leaked in the update
* Wed Jul 23 2003 - tiwai@suse.de
- fixed the old modinfo again...
* Tue Jul 22 2003 - mjancar@suse.cz
- update modutils 2.4.25
  * Remove the default of exporting all symbols on architectures
  that have function descriptors (ia64, ppc64, hppa, hppa64).
  * Correct s390[x] relocations for position independent code.
  * Fix insmod for ppc64 MODULE_PARM(foo, "l").
  * Support ia64 brl relocations.
- fix missing #ifdef COMPAT_2_0
- use (create|init|delete)_module instead of syscall to allow
  compilation of module-init-tools with dietlibc
* Thu Jul 17 2003 - tiwai@suse.de
- fixed the old modinfo.
* Wed Jun 25 2003 - kraxel@suse.de
- added module-init-tools manual pages, moved the
  modutils ones to *.old as it is done for the binaries.
* Tue Jun 24 2003 - kraxel@suse.de
- updated module-init-tools to version 0.9.13-pre
* Fri May 30 2003 - mjancar@suse.cz
- fix for s390
- unified naming of patches
- included signature for module-init-tools
* Tue Jan 21 2003 - kraxel@suse.de
- updated module-init-tools to version 0.9.8
* Tue Dec 17 2002 - kraxel@suse.de
- also move insmod.static to insmod.static.old, so we have static
  linked versions for both old and new insmod in the package.
* Mon Dec 16 2002 - kraxel@suse.de
- added module-init-tools 0.9.3 for 2.5.x kernels to the package.
* Thu Dec 05 2002 - jderfina@suse.cz
- updated to 2.4.22
- removed SuSE patches integrated to version 2.4.22
* Fri Sep 06 2002 - jderfina@suse.cz
- fix insmod to don't load modules compiled without -mcmodel=kernel
  on x86_64.
* Thu Aug 08 2002 - nadvornik@suse.cz
- updated to 2.4.19
- fixes for ia64
- new aliases
- only warn for unknown parameters on insmod
- revert depmod to pre-2.4.13 behaviour.  Unresolved symbols should not
  cause a non-zero return code unless depmod -u is explicitly set
- removed obsolete patches:
  modutils-2.4.16-newbinutils-unknown-sections.diff
  modutils-2.4.16-insmod-ia64.patch
* Wed Jul 31 2002 - schwab@suse.de
- Better fix for last change.
* Fri Jul 26 2002 - schwab@suse.de
- Fix ia64 unwind section processing in insmod.
* Fri Jul 19 2002 - olh@suse.de
- do not use dietlibc on ppc
* Fri Jul 19 2002 - schwab@suse.de
- Replace last patch by a better one and apply it everywhere.
* Fri Jul 12 2002 - olh@suse.de
- add modutils-2.4.16-newbinutils-unknown-sections.diff on ppc*
* Fri Jul 05 2002 - kukuk@suse.de
- Use %%ix86 macro
* Tue Apr 30 2002 - postadal@suse.cz
- update to 2.4.15
  * print 'Module loaded, with warnings' for people who cannot tell
  the difference between warnings and errors
  * add	configure option TAINT_URL
  * workaround for ppc64 symbols that contain _R in the name.
  * add	alias char-major-200 vxspec
  * environment variable UNAME_MACHINE overides the value of uname
  machine
- removed patch do-not-use-patch-2.4.0-hotplug (osoleted by )
  modutils 2.4.2
* Fri Apr 05 2002 - garloff@suse.de
- Update to 2.4.15. Changes (2.4.13)
  * ppc64 merge (used to be part of SuSE's modutils before)
  * reloc prob on ia64 imm64 type fixed
  * in depmod continue after error
  * fdatasync to have log on disc
- Changes (2.4.14)
  * man page clean up
- Changes (2.4.15)
  * snprintf buffere expanded to PATH_MAX
  * alias ppp-compress-18 ppp_mppe
  * x86-64 support
* Mon Feb 25 2002 - garloff@suse.de
- Built and tested successfully on PPC as well.
* Thu Feb 21 2002 - garloff@suse.de
- Build statical version of insmod with dietlibc.
* Tue Dec 04 2001 - cihlar@suse.cz
- update to version 2.4.12:
  * More verbose hints for unresolved symbols in non-GPL modules
  * Remove spurious #endif from elf_ppc64.h
  * Use #define for taint flags, add taint flag for non-SMP capable
  cpus
  * Do not check if the module is already loaded when -n is
  specified
* Mon Nov 12 2001 - olh@suse.de
- add modutils-2.4.11-ppc64.diff.gz
* Sun Nov 11 2001 - kukuk@suse.de
- update to modutils-2.4.11 (contains ppc64 patch, sparc32 fixes
  for kernel 2.4)
* Fri Nov 09 2001 - olh@suse.de
- update modutils-2.4.10-ppc64.diff.gz, fix submodule loading
* Wed Nov 07 2001 - olh@suse.de
- update ppc64 to modutils-2.4.10-ppc64.diff.gz
* Wed Oct 24 2001 - olh@suse.de
- update ppc64 patch
* Tue Oct 23 2001 - olh@suse.de
- update to 2.4.10 for ppc64 support
* Thu Aug 30 2001 - garloff@suse.de
- Update to modutils-2.4.8:
  * Archdata for PPC and MIPS
  * symindx bound check
- Update to modutils 2.4.7:
  * Lots of S390 fixes
  * non-zero return code for unresolved symbols by depmod
  * docu updates
  * pport devs and tunl0 ipip alias
* Tue Jul 31 2001 - cihlar@suse.cz
- fixed special-characters.dif
* Mon Jul 30 2001 - cihlar@suse.cz
- update to version 2.4.6
- added special-characters.dif [#9534]
* Mon May 07 2001 - cihlar@suse.cz
- patched xftw to be nonverbose (depmod -av should show
  names of modules, not that lstat failed on non-existent
  directories)
* Thu Apr 12 2001 - garloff@suse.de
- Update to 2.4.5.
* Wed Apr 04 2001 - froh@suse.de
- removed obsolete s390 patch
* Wed Mar 28 2001 - cihlar@suse.cz
- update to 2.4.4:
  * Do not generate filenames when reading nested config files.
  * depmod ignored user prune commands, reported
  by Kristofer T. Karas.
  * Change error message for short ELF header.
  * Missing commas in alias list.  Urs Thuermann.
  * Print an error message when genksyms detects a bad kernel
  version. Mark McLoughlin
  * modinfo default changed to filename, description, author,
  parameters. Mark McLoughlin
* Fri Mar 09 2001 - garloff@suse.de
- Update to modutils 2.4.3:
  * putenv() strings must be copied first.
  * Not everybody has Elf64_Xword.
  * Add stdlib.h to some files for glibc 2.2.
  * Redhat modutils-2.4.0-alias.patch.
  * Out by one error in alloca. (OB1)
* Wed Feb 14 2001 - schwab@suse.de
- Fix OB1 in modprobe.
* Mon Feb 05 2001 - garloff@suse.de
- Remove patch to add /lib/modules/`uname -r/misc to default paths
  again.
* Mon Feb 05 2001 - garloff@suse.de
- Update to 2.4.2:
  * genksym changes: Remove 'attribute' as a C keyword, add
  'restrict', '__restrict', '__restrict__', '_Bool'.  (RTH.)
  * Log modprobe commands in /var/log/ksymoops.  This one's for
  Wichert.
  * Revert to a single USB table format.  USB maintainers will
  not support anybody on 2.4.0-prerelease or earlier.
- Due to the lack of good-will for providing backwards-compatibi-
  lity of the USB maintainers :-(, the hotplug patch has been
  renamed into do-not-use-...
* Mon Jan 08 2001 - garloff@suse.de
- Update to 2.4.1:
  * empty generic string patch already included
  * alias usbdevfs usbcore
  * document lsmod count -1
  * Handle version 1 and 2 usb dev tables
  * add optional version no to kernel tables
- Include kallsyms in %%doc
- Include the hotplug and the persistent kernel patches in %%doc
* Wed Dec 20 2000 - garloff@suse.de
- Add patch from Keith: Fix depmod loop for empty
  MODULE_GENERIC_STRING entries
- Add /lib/modules/`uname -r/misc to default paths (may otherwise
  miss on 2.4 kernels).
* Sun Dec 17 2000 - garloff@suse.de
- Update to 2.3.23:
  * Fixes: Error path in rmmod, generic_string bound check
  * HPPA and HPPA64 support
  * Updated alias list
  * Compile/Makefiles cleanup
  * parportmap
  * Warn instead of error for invalid MODULE_PARM
- Include osst alias.
* Mon Dec 11 2000 - garloff@suse.de
- Update to 2.3.22.
  * Limit recursion has been included already.
  * Support for persistent storage
  * iA64 unwind fixes
  * Correct test for unexpected REL/RELA sections
  * other bugfixes ...
* Mon Dec 11 2000 - garloff@suse.de
- Disable modutils-libz-static patch, as libz is in /lib now.
* Wed Nov 29 2000 - garloff@suse.de
- Limit recursion in modprobe to avoid Harakiri in presence of
  circular dependencies.
* Tue Nov 28 2000 - garloff@suse.de
- Fixed BuildRoot/DESTDIR handling
- Link statically against libz as it's in /usr !
* Tue Nov 28 2000 - garloff@suse.de
- Updated to 2.3.21: Mainly security fixes:
  snprintf cleanups, safemode for uid!=euid (instead of env. var)
  and quote handling from shell responses.
* Mon Nov 20 2000 - cihlar@suse.cz
- fixed name of package
- update to version 2.3.20
* Fri Nov 10 2000 - cihlar@suse.cz
- renamed modules -> modutils
- fixed security bug in meta_expand.c
* Thu Nov 09 2000 - cihlar@suse.cz
- Update to 2.3.19
* Tue Sep 26 2000 - schwab@suse.de
- Update to 2.3.17.
* Mon Sep 18 2000 - cihlar@suse.cz
- removed obsolete part of dif
* Wed Aug 30 2000 - cihlar@suse.cz
- fixed to compile on s390
* Thu Aug 24 2000 - cihlar@suse.cz
- fixed to compile on sparc
- bzipped sources
* Thu Aug 10 2000 - cihlar@suse.cz
- update to version 2.3.14, left patches with include
  level and insmod.c, removed patch of insmod/Makefile.in,
  other patches were implemented to sources
- does not compile kerneld and utilities for kernel 2.0
* Mon Jun 26 2000 - bk@suse.de
- disabled kerneld on s390 too.
* Wed May 17 2000 - schwab@suse.de
- Fix specfile.
- Add ia64 patches.
* Fri May 12 2000 - kasal@suse.cz
- Fix insmod/Makefile.in for SPARC.
* Thu May 11 2000 - kukuk@suse.de
- Fix for SPARC
* Wed May 03 2000 - tiwai@suse.de
- Upgrade to 2.3.11
- Bug fix around include command
* Thu Apr 06 2000 - bk@suse.de
- s390 team added s390 support to modutils
* Tue Mar 21 2000 - kasal@suse.de
- Upgrade to 2.3.10.
* Sat Feb 05 2000 - garloff@suse.de
- Use manpages to /usr/share/man.
* Thu Dec 30 1999 - kasal@suse.de
- Upgrade to 2.3.9.  No big changes, except common-sparc configure
  option was rewritten.
* Sun Dec 19 1999 - kasal@suse.de
- Upgrade to 2.3.8 and deleted all patches except modutils-identity.patch.
  This leaves the source tree exactly the same.
* Thu Dec 09 1999 - kasal@suse.de
- Upgraded to 2.3.8 pre-release-6 since it accepts plenty of our
  patches.  (Removed modutils-strip.diff thus.)
* Fri Nov 26 1999 - kasal@suse.de
- upgraded to 2.3.7
- enabled things like "ln -s insmod.static rmmod.static" (patch1)
- enhancing and cleaning up configure script, combine-all by default (patch2)
- cleanup of COMBINE_sparc issues (patch3)
- added BuildRoot and overall cleanup of the spec file
- files added: /sbin/*.static, man1/kernelversion.1
* Fri Oct 22 1999 - ro@suse.de
- added insmod.static
* Tue Oct 19 1999 - garloff@suse.de
- updated to 2.3.6: includes mod.conf.patch.
* Fri Oct 15 1999 - garloff@suse.de
- Don't issue warning, if symlink conf.modules pointing to
  modules.conf exist.
* Wed Oct 13 1999 - garloff@suse.de
- Updated to modutils-2.3.5. Migration to modules.conf.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Sep 08 1999 - ro@suse.de
- updated to pre8
* Thu Jul 22 1999 - garloff@suse.de
- depmod: prefer symbols from the kernel
* Thu Apr 01 1999 - ro@suse.de
- update to pre6
* Wed Mar 24 1999 - ro@suse.de
- update to 2.2.0 (pre5)
* Mon Sep 28 1998 - ro@suse.de
- removed insmod-hacker-tool
- kerneld.c : include kerneld.h in current dir if compiling for 2.1 kernel
* Mon Mar 02 1998 - florian@suse.de
- update to modutils 2.1.85
- remove /sbin/request-route.sample
* Fri Oct 24 1997 - florian@suse.de
- ignore any unknown files while running "depmod -a"
- update to modutils 2.1.55
- do not include man-pages from section 2 as they are already in ldpman
- make this package ready for autobuild
* Thu May 29 1997 - bs@suse.de
- moved sbin/request-route to sbin/request-route.sample
* Sat Apr 26 1997 - florian@suse.de
- update to new version 2.1.34
* Sun Apr 13 1997 - florian@suse.de
- update to new version 970412
* Wed Feb 05 1997 - florian@suse.de
- update to new version 2.1.13
- add bug-fix from Hans Lermen
* Thu Jan 02 1997 - florian@suse.de
- add support for 2.1.xx kernel
- small bug-fixes like call to llseek
* Thu Jan 02 1997 - florian@suse.de
- /sbin/insmod ist jetzt ein Link auf insmod-HACKER_TOOL von Hans Lermen
* Thu Jan 02 1997 - florian@suse.de 
  added insmod-HACKER_TOOL (used to be in dosemu.tgz)
